Problem with PyQt on SuSE 8.2

Phil Thompson phil at
Tue Apr 22 21:11:40 CEST 2003

On Tuesday 22 April 2003 7:44 pm, Bernd Lachner wrote:
> Hello,
> we try ro run several Python programs which are using PyQt on SuSE 8.2.
> Every time the same error message occurs:
> Traceback (most recent call last):
>   File "./", line 16, in ?
>     from qt import *
>   File "/usr/lib/python2.2/site-packages/", line 39, in ?
>     import libqtc
> ImportError: /usr/lib/python2.2/site-packages/ undefined
> symbol: _ZNK16QAssistantClient9classNameEv
> We tried the original PyQt packages which comes with SuSE 8.2. We also have
> compiled PyQt from the source RPMs, but the same error occurs.
> Is ther e anybody who can help us? Thanks in advance.

You don't say which version of Qt.

If you are using Qt v3.1.1 or earlier, and you do a "make install" (rather 
than leaving the build in situ) the libqassistantclient library gets 
corrupted because of over-enthusiastic stripping.


More information about the Python-list mailing list